[DOI: 10.3289/SW_3_2021](http://dx.doi.org/10.3289/SW_3_2021)

software title = Computing the Meridional Overturning Circulation from NEMO Output


author = René Schubert


description = With this script, the Meridional Overturning Circulation (MOC) can be computed from NEMO ocean-model output for the whole globe or the Atlantic (AMOC), Indic (IMOC) and Pacific (PMOC) subbasins. The MOC is computable in z- and sigma coordinates. Moreover, for nested configurations, it is possible to combine data from both host and nest grids. Finally, it is possible to take into account of that the ORCA model grid is curvilinear north of 20°N: it is possible to compute the northward velocity component from the velocity field in x- and y- directions and to sum up the meridional flux over latitudional bands instead of in x-direction. When both steps are applied, the resulting MOC shows however strong variability in meridional direction. It needs to be clarified, whether this is realistic or not.

The software is provided in the form of the jupyter notebook "MOC.ipynb" which includes more informations on the possibilites of the computations and an extensive appendix section with comparisons to computations with cdftools, as well as with details on the computation of the MOC including nest data and taking the curvilinearity of the grid into account. Necessary python modules are listed at the beginning of the document.

The author thanks Christina Schmidt, Franziska U. Schwarzkopf, Patrick Wagner, and Mathias Zeller for feedback and hints.

licence = MIT licence
